commit:     67637da7accee22cb299954e4aaa831fe2d6faec
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 27 17:37:08 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Oct 27 18:04:04 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67637da7

sci-chemistry/openbabel: Fix for gcc-5

convert mycmakeargs to be an array

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-chemistry/openbabel/openbabel-2.3.2-r1.ebuild | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/sci-chemistry/openbabel/openbabel-2.3.2-r1.ebuild 
b/sci-chemistry/openbabel/openbabel-2.3.2-r1.ebuild
index c123bb0..81b5302 100644
--- a/sci-chemistry/openbabel/openbabel-2.3.2-r1.ebuild
+++ b/sci-chemistry/openbabel/openbabel-2.3.2-r1.ebuild
@@ -41,13 +41,21 @@ pkg_setup() {
        fi
 }
 
+src_prepare() {
+       sed \
+               -e '/__GNUC__/s:== 4:>= 4:g' \
+               -i include/openbabel/shared_ptr.h || die
+       cmake-utils_src_prepare
+}
+
 src_configure() {
        need-wxwidgets unicode
-       local mycmakeargs=""
-       mycmakeargs="${mycmakeargs}
+       local mycmakeargs=()
+       mycmakeargs+=(
                -DOPENBABEL_USE_SYSTEM_INCHI=ON
                $(cmake-utils_use_enable openmp OPENMP)
-               $(cmake-utils_use wxwidgets BUILD_GUI)"
+               $(cmake-utils_use wxwidgets BUILD_GUI)
+       )
 
        cmake-utils_src_configure
 }

Reply via email to